<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.FddSealPersonAuthMapper">

	<resultMap id="fddSealPersonAuthMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.FddSealPersonAuth">
		<id property="id" column="ID"/>
		<result property="sealId" column="SEAL_ID"/>
		<result property="fddPersonAccountId" column="FDD_PERSON_ACCOUNT_ID"/>
		<result property="status" column="STATUS"/>
		<result property="createBy" column="CREATE_BY"/>
		<result property="updateBy" column="UPDATE_BY"/>
		<result property="createTime" column="CREATE_TIME"/>
		<result property="updateTime" column="UPDATE_TIME"/>
		<result property="createName" column="CREATE_NAME"/>
	</resultMap>

	<sql id="Base_Column_List">
		a.ID,
        a.SEAL_ID,
        a.FDD_PERSON_ACCOUNT_ID,
        a.STATUS,
		a.CREATE_BY,
        a.CREATE_NAME,
        a.CREATE_TIME,
        a.UPDATE_BY,
        a.UPDATE_TIME
	</sql>

	<sql id="fddSealPersonAuth_where">
		<if test="fddSealPersonAuth != null">
			<if test="fddSealPersonAuth.id != null and fddSealPersonAuth.id.trim() != ''">
				AND a.ID = #{fddSealPersonAuth.id}
			</if>
			<if test="fddSealPersonAuth.sealId != null and fddSealPersonAuth.sealId.trim() != ''">
				AND a.SEAL_ID = #{fddSealPersonAuth.sealId}
			</if>
			<if test="fddSealPersonAuth.fddPersonAccountId != null and fddSealPersonAuth.fddPersonAccountId.trim() != ''">
				AND a.FDD_PERSON_ACCOUNT_ID = #{fddSealPersonAuth.fddPersonAccountId}
			</if>
			<if test="fddSealPersonAuth.status != null and fddSealPersonAuth.status.trim() != ''">
				AND a.STATUS = #{fddSealPersonAuth.status}
			</if>
			<if test="fddSealPersonAuth.createBy != null and fddSealPersonAuth.createBy.trim() != ''">
				AND a.CREATE_BY = #{fddSealPersonAuth.createBy}
			</if>
			<if test="fddSealPersonAuth.createName != null and fddSealPersonAuth.createName.trim() != ''">
				AND a.CREATE_NAME = #{fddSealPersonAuth.createName}
			</if>
			<if test="fddSealPersonAuth.createTime != null">
				AND a.CREATE_TIME = #{fddSealPersonAuth.createTime}
			</if>
			<if test="fddSealPersonAuth.updateBy != null and fddSealPersonAuth.updateBy.trim() != ''">
				AND a.UPDATE_BY = #{fddSealPersonAuth.updateBy}
			</if>
			<if test="fddSealPersonAuth.updateTime != null">
				AND a.UPDATE_TIME = #{fddSealPersonAuth.updateTime}
			</if>
		</if>
	</sql>

	<!--fddSealPersonAuth简单分页查询-->
	<select id="getFddSealPersonAuthPage" resultMap="fddSealPersonAuthMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM fdd_seal_person_auth a
		<where>
			1=1
			<include refid="fddSealPersonAuth_where"/>
		</where>
	</select>
</mapper>
